#include <SPI.h>
#include <Gamebuino.h>
Gamebuino gb;

void setup(){
  gb.begin();
  gb.titleScreen(F("Battery Checker"));
  gb.display.persistence = true;
}

void loop(){
  while (gb.update()) {
    if (gb.buttons.pressed(BTN_C)) {
      gb.sound.playCancel();
      gb.battery.show = false;
      gb.titleScreen(F("Battery Checker"));
     }
        //gb.display.setCursor(0, 0);
  
    gb.display.print(F("Battery level:"));
    gb.display.print(gb.battery.level);
    gb.display.println(F("/4"));
    gb.display.println(F(""));
    
    gb.display.print(F("Battery Voltage:"));
    gb.display.print(gb.battery.voltage);
    gb.display.println(F("mv"));
    gb.display.println(F(""));
    
    
    gb.display.print(F("Light:"));
    gb.display.println(gb.backlight.ambientLight);
    gb.display.println(F(""));
    
    gb.display.print(F("Backlight:"));
    gb.display.println(gb.backlight.backlightValue);
    gb.display.println(F(""));
          
    gb.battery.show = true;
  }
}

